Subject: Re: [6lowpan] 6lowpan ND joint-work goals

From: "Paul Chilton" <[email-masked]>
Date: Mon, 18 Aug 2008 07:52:53 +0100

Hi Samita
This set of design goals looks like it will meet the WG requirements.  
However, I am not sure I understand the bullet point
 
"Define a link that serves 6lowpan common deployment" 

Could you expand on what you mean by this?
Thanks
Paul

On Sun, 2008-08-10 at 17:14 -0700, Samita Chakrabarti wrote:
> Hi All:
> 
> Since we are starting to work on the combined ND solution for 6lowpan,
> as one of the members of the ad-hoc ND team, I thought it would be
> very useful to verify our solution guidelines with the working group.
> I am starting with a few bullet points, please check if that meets our
> (6lowpan wg) requirements. Please feel free to suggest modification
> when it makes sense.
> 
> ND Design goals:
> 
> 
> * Neighbor discovery using IPv6 ND protocol or its variant
> * The solution will use unicast/anycast messages to reduce mulitcast
> * The solution should look into minimizing number of total ND messages
> *  Initial boot-strapping information and fault-tolerance should be
> addressed if possible
> * This solution must provide methods for IPv6 address allocation in
> 6lowpan nodes
> * Define a link that serves 6lowpan common deployment
> * The design should work with mesh-under(L2) and route-over(L3) routing
> * The design should be scalable for adding new nodes into the network
> * The solution should also keep in mind that 6lowpan is a low bW network
> * The ND design  may not necessarily address mobility in boot-strapping
>    and address assignment, but it may be extendable to address
> mobility in future.
> * The design will use IPv6 auto-configuration as the main method for
> address assignment; however stateful address configuration will also
> be considered
> 
> 
> Thanks,
> -Samita
> _______________________________________________
> 6lowpan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lowpan

Paul Chilton
Jennic Ltd
Furnival Street
Sheffield, UK
S10 3DX

_______________________________________________
6lowpan mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lowpan